<?php
/**
 * Module: Call of Action
 * A lightweight, flexible component to showcase key content on your site.
 *
 * @author 		SpyroSol
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Call_Action extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->path = $this->path = get_template_directory().'/framework/builder/modules/call-action';
        $this->description = esc_html__( 'Call of Actin', 'heartify' );
        $this->id_base = 'call_action';
        $this->name = esc_html__( 'Call of Action', 'heartify' );
        
        // Fields
        $this->fields = array(
            
            array(
                'label' => esc_html__( 'Title', 'heartify' ),
                'id' => 'title',
                'type' => 'text',
            ),
            
            array(
                'label' => esc_html__( 'Sub Title', 'heartify' ),
                'id' => 'sub_title',
                'type' => 'text'
            ),
            
            array(
                'label' => esc_html__( 'Content', 'heartify' ),
                'id' => 'content',
                'type' => 'textarea',
                'rows' => 3
            )
        );
        
        $this->fields = spyropress_get_options_link( $this->fields );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        // get view to render
        require( $this->get_view() );
    }

}
//Class Spyropress_Module_Call_Action
spyropress_builder_register_module( 'Spyropress_Module_Call_Action' );