<?php
/**
 * Module: Callout
 * Display a headline, (optional) image and brief text with a link.
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Callout extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings.
        $this->path = $this->path = get_template_directory().'/framework/builder/modules/callout';
        $this->cssclass = 'module-callout';
        $this->description = esc_html__( 'Display custom text with a link.', 'heartify' );
        $this->id_base = 'spyropress_callout';
        $this->name = esc_html__( 'Callout', 'heartify' );

        // Fields
        $this->fields = array(

            array(
                'label' => esc_html__( 'Title', 'heartify' ),
                'id' => 'title',
                'type' => 'text'
            ),
            
            array(
                'label' => esc_html__( 'Sub Title', 'heartify' ),
                'id' => 'sub_title',
                'type' => 'text'
            ),
            
            array(
                'label' => esc_html__( 'Content', 'heartify' ),
                'id' => 'content',
                'type' => 'textarea',
                'rows' => 5
            ),

        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {
        
        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );

        // get view to render
        require( $this->get_view() );
    }

}
//Class Spyropress_Module_Callout
spyropress_builder_register_module( 'Spyropress_Module_Callout' );