<?php
/**
 * Module: Contact Info
 * Display contact information.
 * 
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Contact extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    public function __construct() {

        
        // Widget variable settings
        $this->path = $this->path = get_template_directory().'/framework/builder/modules/contact-info';
        $this->cssclass = 'module-contact';
        $this->description = esc_html__('Display contact information.', 'heartify');
        $this->id_base = 'contact';
        $this->name = esc_html__('Contact Info', 'heartify');

        // Fields
        $this->fields = array(
            array(
                'label' => esc_html__( 'Address', 'heartify' ),
                'id' => 'address',
                'type' => 'textarea',
                'rows' => 3
            ),
                
            array( 'type' => 'row' ),

            array( 'type' => 'col', 'size' => 6 ),
                
                array(
                    'label' => esc_html__( 'Contact Timing', 'heartify' ),
                    'id' => 'time',
                    'type' => 'text',
                ),
                
                array(
                    'label' => esc_html__( 'Phone', 'heartify' ),
                    'id' => 'phone',
                    'type' => 'text',
                ),
                
            array( 'type' => 'col_end' ),

            array( 'type' => 'col', 'size' => 6 ),
                
                array(
                    'label' => esc_html__( 'Email Title', 'heartify' ),
                    'id' => 'email_title',
                    'type' => 'text',
                ),
                
                array(
                    'label' => esc_html__( 'Email', 'heartify' ),
                    'id' => 'email',
                    'type' => 'text',
                ),
                
            array( 'type' => 'col_end' ),

            array( 'type' => 'row_end' ),
            
            array(
        		'label' => esc_html__( 'Translation', 'heartify' ),
        		'type' => 'toggle'
        	),
                
                array(
                    'label' => esc_html__( 'Phone Number', 'heartify' ),
                    'id' => 'phone_translation',
                    'type' => 'text',
                    'std' => 'Phone Number'
                ),
                
                array(
                    'label' => esc_html__( 'Clinic Address', 'heartify' ),
                    'id' => 'clinic_translation',
                    'type' => 'text',
                    'std' => 'Clinic Address'
                ),
                
                array(
                    'label' => esc_html__( 'Email Address', 'heartify' ),
                    'id' => 'email_translation',
                    'type' => 'text',
                    'std' => 'Email Address'
                ),
            
            array(
        		'type' => 'toggle_end'
        	)
             
        );

        $this->create_widget();
    }

    function widget($spyropress_args, $spyropress_instance) {

        // extracting info
        extract($spyropress_args);extract($spyropress_instance);
        
        // get view to render
        require( $this->get_view() );
    }

}
//class Spyropress_Module_Contact
spyropress_builder_register_module('Spyropress_Module_Contact');