<?php
/**
 * Module: Divider 
 * Separate sections of the layout.
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Divider extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->description = esc_html__('Separate sections of the layout.', 'heartify');
        $this->id_base = 'spyropress_divider';
        $this->name = esc_html__('Divider', 'heartify');
        
        $this->fields = array(
           array(
                'label' => esc_html__( 'Row Spacer', 'heartify' ),
                'id' => 'divider',
                'type' => 'select',
                'options' => array(
                    10 => esc_html__( '10' , 'heartify' ),
                    15 => esc_html__( '15' , 'heartify' ),
                    20 => esc_html__( '20' , 'heartify' ),
                    25 => esc_html__( '25' , 'heartify' ),
                    30 => esc_html__( '30' , 'heartify' ),
                    35 => esc_html__( '35' , 'heartify' ),
                    40 => esc_html__( '40' , 'heartify' ),
                    50 => esc_html__( '50' , 'heartify' ),
                    60 => esc_html__( '60' , 'heartify' ),
                    70 => esc_html__( '70' , 'heartify' ),
                    80 => esc_html__( '80' , 'heartify' ),
                    90 => esc_html__( '90' , 'heartify' ),
                    100 => esc_html__( '100' , 'heartify' ),
                    150 => esc_html__( '150' , 'heartify' ),
                )
            )
        );
        $this->create_widget();

    }

    function widget($spyropress_args, $spyropress_instance) {
        
        // outputs the content of the widget
        extract($spyropress_instance);
        
        //check.
        if( empty ( $divider ) )return;
        
        //Print Html Content.
        echo '<div class="bottom-space-'.esc_attr( $divider ).' clearfix"></div> <!-- Separator -->';
    }

}
//class Spyropress_Module_Divider
spyropress_builder_register_module('Spyropress_Module_Divider');