<?php
/**
 * Module: Our Clients
 * Display a list of our clients
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Our_Clients extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    public function __construct() {

        // Widget variable settings
        $this->path = $this->path = get_template_directory().'/framework/builder/modules/our-clients';
        $this->cssclass = 'module-our-clients';
        $this->description = esc_html__( 'Display a list of our clients.', 'heartify' );
        $this->id_base = 'spyropress_our_clients';
        $this->name = esc_html__( 'Our Clients', 'heartify' );

        // Fields
        $this->fields = array (

            array(
                'id' => 'clients',
                'label' => esc_html__( 'Client', 'heartify' ),
                'type' => 'repeater',
                'fields' => array(
                    array(
                        'label' => esc_html__( 'Logo', 'heartify' ),
                        'id' => 'logo',
                        'type' => 'upload'
                    ),
                )
            )
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        // get view to render
        require( $this->get_view() );
    }

}
// class Spyropress_Module_Our_Clients
spyropress_builder_register_module( 'Spyropress_Module_Our_Clients' );