<?php
/**
 * Module: Schedule Slider
 * A lightweight, flexible component to showcase Time Schedule on your site.
 *
 * @author 		SpyroSol
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Schedule_Slider extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->path = $this->path = get_template_directory().'/framework/builder/modules/schedule-slide';
        $this->id_base = 'schedule_slider';
        $this->description = esc_html__('A lightweight, flexible component to showcase Time Schedule on your site.', 'heartify');
        $this->name = esc_html__( 'Schedule Slider', 'heartify' );
        
        // Fields
        $this->fields = array(
            
             array(
                'label' => esc_html__( 'Schedule Slide', 'heartify' ),
                'id' => 'schedules',
                'type' => 'repeater',
                'item_title' => 'day',
                'fields' => array(
                    
                    array(
                        'label' => esc_html__( 'Day', 'heartify' ),
                        'id' => 'day',
                        'type' => 'text',
                    ),
                    
                    array(
                        'label' => esc_html__( 'Title', 'heartify' ),
                        'id' => 'title',
                        'type' => 'text'
                    ),
                    
                    array(
                        'label' => esc_html__( 'Content', 'heartify' ),
                        'id' => 'content',
                        'type' => 'textarea',
                        'rows' => 3
                    ),
                    
                    array(
                        'label' => esc_html__( 'Schedule', 'heartify' ),
                        'id' => 'schedule',
                        'type' => 'repeater',
                        'item_title' => 'title',
                        'fields' => array(
                            array(
                                'label' => esc_html__( 'Title', 'heartify' ),
                                'id' => 'title',
                                'type' => 'text',
                            ),
                            
                            array(
                                'label' => esc_html__( 'Time', 'heartify' ),
                                'id' => 'time',
                                'type' => 'text'
                            )
                        )
                    )
                )
            )
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        // get view to render
        require( $this->get_view() );
    }

}
//register module class Spyropress_Module_Schedule_Slider.
spyropress_builder_register_module( 'Spyropress_Module_Schedule_Slider' );