<?php
/**
 * Module: Accordion
 *
 * @author 		SpyroSol
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Site_Map extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings.
        $this->path = $this->path = get_template_directory().'/framework/builder/modules/site-map';
        $this->cssclass = '';
        $this->description = esc_html__( 'Site Map Builder.', 'heartify' );
        $this->id_base = 'site-map';
        $this->name = esc_html__( 'Site Map', 'heartify' );

        // Fields
        $this->fields = array(
            array(
            	'label' => esc_html__( 'Popular Posts', 'heartify' ),
            	'id' => 'pop_posts',
                'type' => 'checkbox',
                'options' => array(
                    'en' => esc_html__( 'Enable Popular Posts.', 'heartify' ),
                )
            ),
            
            array(
                'label' => esc_html__( 'Popular Posts Title', 'heartify' ),
                'id' => 'pop_posts_title',
                'type' => 'text',
            ),
            
           array(
                'label' => esc_html__( 'Number of Popular Posts', 'heartify' ),
                'id' => 'pop_posts_limit',
                'type' => 'range_slider',
                'max' => 30,
                'std' => 4
            ),
            
            array(
            	'label' => esc_html__( 'Recent Posts', 'heartify' ),
            	'id' => 'rec_post',
                'type' => 'checkbox',
                'options' => array(
                    'en' => esc_html__( 'Enable Post Recent.', 'heartify' ),
                )
            ),
            
            array(
                'label' => esc_html__( 'Recent Posts Title', 'heartify' ),
                'id' => 'rec_post_title',
                'type' => 'text',
            ),
            
           array(
                'label' => esc_html__( 'Number of Recent Posts', 'heartify' ),
                'id' => 'rec_post_limit',
                'type' => 'range_slider',
                'max' => 30,
                'std' => 4
            ),
              
            array(
            	'label' => esc_html__( 'Recent Comments', 'heartify' ),
            	'id' => 'rec_comments',
                'type' => 'checkbox',
                'options' => array(
                    'en' => esc_html__( 'Enable Recent Comments.', 'heartify' ),
                )
            ),
            
            array(
                'label' => esc_html__( 'Recent Comments Title', 'heartify' ),
                'id' => 'rec_comments_title',
                'type' => 'text',
            ),
            
           array(
                'label' => esc_html__( 'Number of Recent Comments', 'heartify' ),
                'id' => 'rec_comments_limit',
                'type' => 'range_slider',
                'max' => 30,
                'std' => 4
            ),
            
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        // get view to render
        require( $this->get_view() );
    }

}
//register module class Spyropress_Module_Site_Map.
spyropress_builder_register_module( 'Spyropress_Module_Site_Map' );