<?php

/**
 * Module: Skills
 *
 * @author 		SpyroSol
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Skills extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    public function __construct() {

        // Widget variable settings
        $this->path = $this->path = get_template_directory().'/framework/builder/modules/skills';
        $this->cssclass = 'module-skills';
        $this->description = esc_html__( 'Display a skill.', 'heartify' );
        $this->id_base = 'spyropress_skills';
        $this->name = esc_html__( 'Skill', 'heartify' );
        
        // Fields
        $this->fields = array (
            
            array(
                'label' => esc_html__( 'Number of Columns', 'heartify' ),
                'id' => 'columns',
                'type' => 'range_slider',
                'std' => 3,
                'max' => 4
            ),
            
            array(
                'label' => esc_html__( 'Skill', 'heartify' ),
                'id' => 'skills',
                'type' => 'repeater',
                'item_title' => 'title',
                'fields' => array(
                
                    array(
                        'label' => esc_html__( 'Label', 'heartify' ),
                        'id' => 'title',
                        'type' => 'text'
                    ),
                    
                    array(
                        'label' => esc_html__( 'Percentage', 'heartify' ),
                        'id' => 'percentage',
                        'type' => 'range_slider',
                    ),
                    
                    array(
                        'label' => esc_html__( 'Description', 'heartify' ),
                        'id' => 'content',
                        'type' => 'textarea',
                        'rows' => 4
                    ),
                   
                )           
            )
            
        );
        
        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {
        
        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        require( $this->get_view() );
    }
    
    function spyropress_skill_item_generator( $spyropress_item, $spyropress_atts ){
        
        //return content.
        return
        '<div class="' . esc_attr( $spyropress_atts['column_class'] ) . ' text-center">
        	<div class="skills">
            	
                <span class="chart skilBg" data-percent="'. esc_attr( $spyropress_item['percentage'] ) .'">
                    <span class="percent"></span>
                </span>
                <div class="info-col">
					<h5>'. esc_html( $spyropress_item['title'] ) .'</h5>
					<p>'. esc_html( $spyropress_item['content'] ) .'</p>
				</div>
            </div>
        </div>';
    }

}
//register module class Spyropress_Module_Skills.
spyropress_builder_register_module( 'Spyropress_Module_Skills' );