<?php
/**
 * Full with
 */
class fullwidth_row_class extends SpyropressBuilderRow {

    public function __construct() {

        $this->config = array(
            'name' => esc_html__( 'Fullwidth Row', 'heartify' ),
            'description' => esc_html__( 'Fullwidth row', 'heartify' ),
            'icon' => get_panel_img_path( 'layouts/1col.png' ),
            'columns' => array(
                array( 'type' => 'col_11' )
            )
        );
    }
    
    function row_wrapper( $row_ID, $row ) {
        extract( $row['options'] );
    
        $section_class = array();
        $parallax_bg  = $video_overlay = $video = '';
        
        // CssClass
        if( isset( $custom_container_class ) && !empty( $custom_container_class ) )
            $section_class[] = $custom_container_class;
        if( isset( $container_skin ) && !empty( $container_skin ) ) {
            $section_class[] = $container_skin;
            
            if( 'parallax' == $container_skin  || 'background-image' == $container_skin ){
                $style = '';
                if( isset( $parallax ) && !empty( $parallax ) || isset( $bg_image ) && !empty( $bg_image ) ) {
                    $value = ( 'parallax' == $container_skin ) ? $parallax : $bg_image;
                    $img = '';
                    $bg = array();
            
                    if ( isset( $value['background-color'] ) )
                        $bg[] = $value['background-color'];
            
                    if ( isset( $value['background-pattern'] ) )
                        $img = $value['background-pattern'];
                    elseif ( isset( $value['background-image'] ) )
                        $img = $value['background-image'];
                    if ( $img )
                        $bg[] = 'url(\'' . $img . '\')';
            
                    if ( isset( $value['background-repeat'] ) )
                        $bg[] = $value['background-repeat'];
            
                    if ( isset( $value['background-attachment'] ) )
                        $bg[] = $value['background-attachment'];
            
                    if ( isset( $value['background-position'] ) )
                        $bg[] = $value['background-position'];
            
                    $style .= ( !empty( $bg ) ) ? ' background: ' . join( ' ', $bg ) . ';' : '';
                }
                if( 'parallax' == $container_skin ){
                    $parallax_bg .= ' data-stellar-background-ratio="0.5" ';
                }if( !empty( $style ) ){
                    $parallax_bg .= 'style="' . $style . '"';
                }
                
                    
            }elseif( 'video_section' == $container_skin ) {
                $video = $mp4 = $ogg = '';
                // video background overlay.
                $video_overlay = '';
                
                if( $video_mp4 ) {
                    $mp4 = 'mp4: ' . $video_mp4 . ', ';
                }
                
                if( $video_ogg ) {
                    $ogg = 'ogv: ' . $video_ogg . ', ';
                }
                
                if( $video_poster ) {
                    $poster = 'poster: ' . $video_poster;
                }
                
                if( $video_mp4 || $video_ogg )
                    $video .= ' data-video-path="' . $mp4 . $ogg . $poster . '" data-plugin-video-background data-plugin-options=\'{"posterType": "' . end( explode( '.', $video_poster ) ) . '", "position": "50% 50%" }\'';
            }
        }
    
        $row_html = sprintf( '
            <div id="%1$s" class="%2$s" %5$s %6$s>
                 %7$s
                <div class="%3$s">
                    %4$s
                </div>
            </div>', $row_ID, spyropress_clean_cssclass( $section_class ), get_row_class( true ), builder_render_frontend_columns( $row['columns'] ), $parallax_bg, $video, $video_overlay
        );
    
        return $row_html;
    }
}
spyropress_builder_register_row( 'fullwidth_row_class' );