<?php

/**
 * Init Theme Related Settings
 */

/** Internal Settings **/
get_template_part( 'includes/version' );

/**
 * Required and Recommended Plugins
 */
function spyropress_register_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $spyropress_plugins = array(

        // Contact Form 7
        array(
            'name'      => 'Contact Form 7',
            'slug'      => 'contact-form-7',
            'required'  => false,
        ),
        
          
        //Post Format UI
        array(
            'name' => 'Post Format UI',
            'required' => true,
            'slug' => 'wp-post-formats-develop',
            'source' => get_template_directory() . '/includes/plugins/wp-post-formats-develop.zip'
        ),
        
        //Custom Post Type.
        array(
            'name' => 'Custom Post Type',
            'required' => true,
            'slug' => 'cpt',
            'source' => get_template_directory() . '/includes/plugins/cpt.zip'
        ),
        
        // Layer slider
        array(
            'name'      => 'Layer Slider',
            'slug'      => 'LayerSlider',
            'required'  => true,
            'source'    => get_template_directory() . '/includes/plugins/layerslider.zip'
        ),

        array(
            'name'               => esc_html__('Ef3 Import and Export','heartify'),
            'slug'               => 'ef3-import-and-export',
            'source'             => esc_url('http://spyropress.com/plugins/ef3-import-and-export.zip'),
            'required'           => false,
        ),
    );

    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'heartify' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'heartify' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'heartify' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'heartify' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'heartify' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' , 'heartify' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' , 'heartify' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'heartify' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'heartify' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'heartify' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'heartify' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'heartify' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'heartify' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'heartify' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'heartify' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'heartify' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'heartify' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa( $spyropress_plugins, $config );
}
add_action( 'tgmpa_register', 'spyropress_register_plugins' );

/**
 * Add modules and tempaltes to SpyroBuilder
 */
function spyropress_register_builder_modules( $modules ) {
    
    get_template_part( 'includes/heartify-row', 'templates' ); 

    $spyropress_modules[] = 'modules/row-options/row-options.php';
    $spyropress_modules[] = 'modules/rich-text/rich-text.php';
    $spyropress_modules[] = 'modules/heading/heading.php';
    $spyropress_modules[] = 'modules/icon-teaser/icon-teaser.php';
    $spyropress_modules[] = 'modules/call-action/call-action.php';
    $spyropress_modules[] = 'modules/recent-posts/recent-posts.php';
    $spyropress_modules[] = 'modules/contact-info/contact-info.php';
    $spyropress_modules[] = 'modules/schedule-slider/schedule-slider.php';
    $spyropress_modules[] = 'modules/site-map/site-map.php';
    $spyropress_modules[] = 'modules/divider/divider.php';
    $spyropress_modules[] = 'modules/gmap/gmap.php';
    $spyropress_modules[] = 'modules/skills/skills.php';
    $spyropress_modules[] = 'modules/callout/callout.php';
    $spyropress_modules[] = 'modules/our-clients/clients.php';
   

    return $spyropress_modules;
}
add_filter( 'builder_include_modules', 'spyropress_register_builder_modules' );

/**
 * Define the row wrapper html
 */
function spyropress_row_wrapper( $row_ID, $row ) {
    
    extract( $row['options'] );
    
    $section_class = array();
    $parallax_bg  = $video_overlay = $video = '';
    
    // CssClass
    if( isset( $custom_container_class ) && !empty( $custom_container_class ) )
        $section_class[] = $custom_container_class;
    if( isset( $container_skin ) && !empty( $container_skin ) ) {
        $section_class[] = $container_skin;
        
        if( 'parallax' == $container_skin  || 'background-image' == $container_skin ){
            $style = $bg_size = '';
            if( isset( $parallax ) && !empty( $parallax ) || isset( $bg_image ) && !empty( $bg_image ) ) {
                $value = ( 'parallax' == $container_skin ) ? $parallax : $bg_image;
                $img = '';
                $bg = array();
        
                if ( isset( $value['background-color'] ) )
                    $bg[] = $value['background-color'];
        
                if ( isset( $value['background-pattern'] ) )
                    $img = $value['background-pattern'];
                elseif ( isset( $value['background-image'] ) )
                    $img = $value['background-image'];
                if ( $img )
                    $bg[] = 'url(\'' . $img . '\')';
        
                if ( isset( $value['background-repeat'] ) )
                    $bg[] = $value['background-repeat'];
        
                if ( isset( $value['background-attachment'] ) )
                    $bg[] = $value['background-attachment'];
        
                if ( isset( $value['background-position'] ) )
                    $bg[] = $value['background-position'];
        
                $style .= ( !empty( $bg ) ) ? ' background: ' . join( ' ', $bg ) . ';' : '';
                
                if( $bg_size ){
                    $style .= '  background-size: '. $bg_size .';';
                }
            }
            if( !empty( $style ) ){
                $parallax_bg .= 'style="' . $style . '"';
            }
            if( 'parallax' == $container_skin ){
                $parallax_bg .= ' data-stellar-background-ratio="0.5" ';
            }
            
                
        }elseif( 'video_section' == $container_skin ) {
            $video = $mp4 = $ogg = '';
            // video background overlay.
            $video_overlay = '';
            
            if( $video_mp4 ) {
                $mp4 = 'mp4: ' . $video_mp4 . ', ';
            }
            
            if( $video_ogg ) {
                $ogg = 'ogv: ' . $video_ogg . ', ';
            }
            
            if( $video_poster ) {
                $poster = 'poster: ' . $video_poster;
            }
            
            if( $video_mp4 || $video_ogg ){
                $dpp = explode( '.', $video_poster );
                $video .= ' data-video-path="' . $mp4 . $ogg . $poster . '"  data-plugin-posterType="' . end( $dpp ) . '"';
            }
                
        }
    }

    $row_html = sprintf( '
        <div id="%1$s" class="%2$s" %5$s %6$s>
             %7$s
            <div class="container">
                <div class="%3$s">
                    %4$s
                </div>
            </div>
        </div>', $row_ID, spyropress_clean_cssclass( $section_class ), get_row_class( true ), builder_render_frontend_columns( $row['columns'] ), $parallax_bg, $video, $video_overlay
    );

    return $row_html;
}
add_filter( 'spyropress_builder_row_wrapper', 'spyropress_row_wrapper', 10, 2 );

/**
 * Include Widgets
 */
function spyropress_register_widgets( $widgets ) {
    
    $spyropress_path = get_template_directory() . '/includes/widgets/';

    $custom = array(
        $spyropress_path . 'recent-comments/recent-comments.php',
        $spyropress_path . 'recent-posts/recent-posts.php',
    );

    return array_merge( $widgets, $custom );
}
add_filter( 'spyropress_register_widgets', 'spyropress_register_widgets' );


/**
 * Comment Callback
 */
if( !function_exists( 'spyropress_comment' ) ) :
function spyropress_comment( $comment, $args, $depth ) {
    $spyropress_translate['comment-reply'] = get_setting( 'translate' ) ? get_setting( 'comment-reply', 'Reply' ) : esc_html__( 'Reply', 'heartify' );
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'heartify' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( 'Edit', 'heartify' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
        <div class="comment-body">
        	<?php echo get_avatar( $comment, 100 ); ?>
            <div class="comments-info">
                <h6><?php comment_author(); ?> 
                    <span><?php printf( esc_html__( '/ Posted %1$s at %2$s', 'heartify' ), get_comment_date( 'd.m.Y' ), get_comment_time( 'h:m' ) ) ?></span> 
                    <em><?php
                            comment_reply_link( array_merge( $args, array(
                                'depth' => $depth,
                                'reply_text' => esc_html( $spyropress_translate['comment-reply'] ),
                                'max_depth' => $args['max_depth']
                            ) ) );
                        ?>
                    </em>
                </h6>
    	        
        		<?php if ( $comment->comment_approved == '0' ) { ?>
                    <em class="comment-awaiting-moderation"><?php echo esc_html_( 'Your comment is awaiting moderation.', 'heartify' ); ?></em><br />
                <?php
                    }
                    comment_text();
                ?>
            </div>
       </div>
	<?php
			break;
	endswitch;
}
endif;

/**
 * Pagination Defaults
 */
function spyropress_pagination_defaults( $spyropress_defaults = array() ) {
    
    $spyropress_defaults['container'] = 'ul';
    $spyropress_defaults['style'] = 'list';
    $spyropress_defaults['container_class'] = '';
    $spyropress_defaults['options']['next_text'] = '<i class="fa fa-caret-right"></i>';
    $spyropress_defaults['options']['prev_text'] = '<i class="fa fa-caret-left"></i>';
    $spyropress_defaults['options']['pages_text'] = '';
    $spyropress_defaults['options']['last_text'] = '<i class="fa fa-caret-left"></i>';
    $spyropress_defaults['options']['first_text'] = '<i class="fa fa-caret-right"></i>';
    
    
    return $spyropress_defaults;
}
add_filter( 'spyropress_pagination_defaults', 'spyropress_pagination_defaults' );

/**
 * oEmbed Modifier
 */
function spyropress_oembed_modifier( $spyropress_html ) {
    
    $spyropress_html = preg_replace( '/(width|height|frameborder)="\d*"\s/', "", $spyropress_html );
    
    if( is_str_contain( 'video-container', $spyropress_html ) ) return $spyropress_html;
    
    return '<div class="video-container">' . $spyropress_html . '</div>';
}
add_filter( 'embed_oembed_html', 'spyropress_oembed_modifier', 10 );
add_filter( 'oembed_result', 'spyropress_oembed_modifier', 10 );