<?php
/**
 * Theme Options
 *
 * @author 		SpyroSol
 * @category 	Admin
 * @package 	Spyropress
 */

global $spyropress_theme_settings;

$spyropress_theme_settings['general'] = array(

	array(
        'label' => esc_html__( 'General Settings', 'heartify' ),
        'type' => 'heading',
        'slug' => 'generalsettings',
        'icon' => 'module-icon-general'
    ),

    array(
		'label' => esc_html__( 'Custom Logo', 'heartify' ),
        'desc' => esc_html__( 'Upload a logo for your site first ( top ) menu or specify an image URL directly.', 'heartify' ),
		'id' => 'logo',
        'type' => 'upload'
	),
    
    array(
		'label' => esc_html__( 'Logo', 'heartify' ),
        'desc' => esc_html__( 'Upload a logo for your site second ( top ) menu or specify an image URL directly.', 'heartify' ),
		'id' => 'sec_logo',
        'type' => 'upload'
	),

    

    array(
		'label' => esc_html__( 'Apple Touch Icon (small)', 'heartify' ),
        'desc' => esc_html__( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 57px x 57px.', 'heartify' ),
		'id' => 'apple_small',
        'type' => 'upload'
	),

    array(
		'label' => esc_html__( 'Apple Touch Icon (medium)', 'heartify' ),
        'desc' => esc_html__( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 72px x 72px.', 'heartify' ),
		'id' => 'apple_medium',
        'type' => 'upload'
	),

    array(
		'label' => esc_html__( 'Apple Touch Icon (large)', 'heartify' ),
        'desc' => esc_html__( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 114px x 114px.', 'heartify' ),
		'id' => 'apple_large',
        'type' => 'upload'
	),

    

); // End General Settings

$spyropress_theme_settings['layout'] = array(

    array(
        'label' => esc_html__( 'Layout Options', 'heartify' ),
        'type' => 'heading',
        'slug' => 'layout',
        'icon' => 'module-icon-layout'
    ),
    
    array(
		'label' => esc_html__( 'Reponsive Layout', 'heartify' ),
		'id' => 'responsive-layout',
        'type' => 'checkbox',
        'options' => array(
            '1' => esc_html__( 'Activate responsive layout.', 'heartify' ),
        )
	),
	array(
              'label' => __( 'Breadcrumb', 'heartify' ),
              'id' => 'breadcrumb',
              'type' => 'checkbox',
              'options' => array(
            		'1' => __( 'Disable Page Breadcrumb.', 'heartify' ),
   	          )
            ),
	

    array(
        'label' => esc_html__( 'Custom CSS', 'heartify' ),
        'type' => 'sub_heading'
    ),

    array(
        'id' => 'custom_css_textarea',
        'type' => 'textarea',
        'rows' => 12,
        'class' => 'section-full'
    )

); // End Layout Options

$spyropress_theme_settings['header'] = array(

    array(
        'label' => esc_html__( 'Header Customization', 'heartify' ),
        'type' => 'heading',
        'slug' => 'header',
        'icon' => 'module-icon-layout'
    ),

    array(
        'label' => esc_html__( 'Header Styles', 'heartify' ),
        'id' => 'header_style',
        'class' => 'enable_changer full-width ',
        'type' => 'radio_img',
        'options' => array(
            'v1' => array( 'img' => assets_img() . 'framework_assets/header-v1.png' ),
            'v2' => array( 'img' => assets_img() . 'framework_assets/header-v2.png' ),
            'v3' => array( 'img' => assets_img() . 'framework_assets/header-v3.png' ),
            'v4' => array( 'img' => assets_img() . 'framework_assets/header-v4.png' ),
        ),
        'std' => 'v1'
    ),
    
    array(
        'label' => esc_html__( 'Header Teaser', 'heartify' ),
        'type' => 'sub_heading',
        'class' => 'header_style v2 v3 v4 section-full',
    ),

    array(
        'label' => esc_html__( 'Title', 'heartify' ),
        'id' => 'title',
        'class' => 'header_style v2 v3 v4 section-full',
        'type' => 'text',
    ),
    
    array(
        'label' => esc_html__( 'Sub Title', 'heartify' ),
        'id' => 'sub_title',
        'class' => 'header_style v2 v3 v4 section-full',
        'type' => 'text',
    ),
    
    array(
        'label' => esc_html__( 'Teaser Content', 'heartify' ),
        'id' => 'content',
        'class' => 'header_style v2 v3 v4 section-full',
        'type' => 'text',
    ),
    
    array(
        'label' => esc_html__( 'Short Description', 'heartify' ),
        'id' => 'description',
        'class' => 'header_style v2 v3 v4 section-full',
        'type' => 'textarea',
        'rows' => 3
    ),
    
    
    array(
        'label' => esc_html__( 'Background', 'heartify' ),
        'id' => 'header_parallax',
        'class' => 'header_style v2  section-full',
        'type' => 'upload',
    ),
    
    array(
        'label' => esc_html__( 'Background image', 'heartify' ),
        'id' => 'header_image',
        'class' => 'header_style v3 section-full',
        'type' => 'upload',
    ),
    
    array(
        'label' => esc_html__( 'Background image', 'heartify' ),
        'id' => 'header_image_dark',
        'class' => 'header_style v4 section-full',
        'type' => 'upload',
    ),
    
   array(
        'label' => esc_html__( 'Layer Slider', 'heartify' ),
        'id' => 'lay_slider',
        'class' => 'header_style v1 section-full',
        'type' => 'select',                
        'options' => spyropress_get_layer_slider()
   )  

); // End Header


$spyropress_theme_settings['footer'] = array(

    array(
        'label' => esc_html__( 'Footer Customization', 'heartify' ),
        'type' => 'heading',
        'slug' => 'footer',
        'icon' => 'module-icon-footer'
    ),
    
    array(
        'label' => esc_html__( 'Logo', 'heartify' ),
        'type' => 'sub_heading'
    ),
    
    array(
        'desc' => esc_html__( 'Upload a logo for your site footer or specify an image URL directly.', 'heartify' ),
		'id' => 'footer_logo',
        'type' => 'upload'
	),
    
    array(
        'desc' => esc_html__( 'Upload a background for your site footer or specify an image URL directly.', 'heartify' ),
		'id' => 'footer_bg',
        'type' => 'upload'
	),
    
    array(
        'label' => esc_html__( 'Social Icons', 'heartify' ),
        'type' => 'sub_heading'
    ),
     
    array(
        'id' => 'footer_social',
        'type' => 'repeater',
        'item_title' => 'network',
        'fields' => array(
            array(
            	'label' => esc_html__( 'URL', 'heartify' ),
            	'id' => 'url',
            	'type' => 'text'
            ),

            array(
                'label' => esc_html__( 'Network', 'heartify' ),
                'id' => 'network',
                'type' => 'select',
                'options' => spyropress_get_options_social()
            )
        )
    ),
    
    array(
        'label' => esc_html__( 'Copyright', 'heartify' ),
        'type' => 'sub_heading'
    ),

    array(
        'desc' => esc_html__( 'Custom HTML and Text that will appear in the footer of your theme.', 'heartify' ),
		'id' => 'footer_copyright',
        'type' => 'editor'
	)

); // END FOOTER

$spyropress_theme_settings['post'] = array(

    array(
        'label' => esc_html__( 'Post Options', 'heartify' ),
        'type' => 'heading',
        'slug' => 'post',
        'icon' => 'module-icon-post'
    ),
    
    array(
		'label'    => esc_html__( 'Layout', 'heartify' ),
		'type'    => 'sub_heading'
	),
    
    array(
        'label' => esc_html__( 'Header Background', 'heartify' ),
        'id' => 'post_header_bg',
        'type' => 'background',
    ),
    
    array(
		'label' => esc_html__( 'Sidebar Position', 'heartify' ),
        'id' => 'blog_sidebar_position',
        'desc' => esc_html__( 'Select widget sidebar postion for blog page .', 'heartify' ),
		'type' => 'select',
		'options' => array(
            'left' => esc_html__( 'Left Side', 'heartify' ),
            'right' => esc_html__( 'Right Side', 'heartify' )
        ),
		'std' => 'right'
	),
    
    array(
		'label' => esc_html__( 'Single Sidebar Position', 'heartify' ),
        'id' => 'blog_single_sidebar_position',
        'desc' => esc_html__( 'Select widget sidebar postion for blog single page .', 'heartify' ),
		'type' => 'select',
		'options' => array(
            'left' => esc_html__( 'Left Side', 'heartify' ),
            'right' => esc_html__( 'Right Side', 'heartify' )
        ),
		'std' => 'right'
	),

    array(
		'label' => esc_html__( 'Excerpt Settings', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
        'label' => esc_html__( 'Length by', 'heartify' ),
        'id' => 'excerpt_by',
        'type' => 'select',
        'options' => array (
            '' => '',
            'words' => esc_html__( 'Words', 'heartify' ),
            'chars' => esc_html__( 'Character', 'heartify' ),
        ),
        'std' => 'words'
	),

    array(
		'label' => esc_html__( 'Length', 'heartify' ),
        'desc' => esc_html__( 'Set the length of excerpt.', 'heartify' ),
		'id' => 'excerpt_length',
        'type' => 'text',
        'std' => 30
	),

    array(
		'label' => esc_html__( 'Ellipsis', 'heartify' ),
        'desc' => esc_html__( 'This is the description field, again good for additional info.', 'heartify' ),
		'id' => 'excerpt_ellipsis',
        'type' => 'text',
        'std' => '&hellip;'
	),

    array(
		'label' => esc_html__( 'Before Text', 'heartify' ),
        'desc' => esc_html__( 'This is the description field, again good for additional info.', 'heartify' ),
		'id' => 'excerpt_before_text',
        'type' => 'text',
        'std' => '<p>'
	),

    array(
		'label' => esc_html__( 'After Text', 'heartify' ),
        'desc' => esc_html__( 'This is the description field, again good for additional info.', 'heartify' ),
		'id' => 'excerpt_after_text',
        'type' => 'text',
        'std' => '</p>'
	),

    array(
		'label' => esc_html__( 'Read More', 'heartify' ),
		'id' => 'excerpt_link_to_post',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable or disable Read more link.', 'heartify' ),
        ),
        'std' => 1
	),

    array(
		'label' => esc_html__( 'Link Text', 'heartify' ),
        'desc' => esc_html__( 'A text for Read More button.', 'heartify' ),
		'id' => 'excerpt_link_text',
        'type' => 'text',
        'std' => esc_html__( 'Read more', 'heartify' )
	),

    array(
		'label' => esc_html__( 'Author Box', 'heartify' ),
        'desc' => esc_html__( 'A box to display about author on single page.', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
        'desc' => esc_html__( 'A box to display about author.', 'heartify' ),
		'id' => 'meta_authorbox',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable author box.', 'heartify' ),
        )
	),

    array(
		'label' => esc_html__( 'Author Title', 'heartify' ),
        'desc' => esc_html__( 'Write the title.', 'heartify' ),
		'id' => 'authorbox_title',
        'type' => 'text',
        'std' => esc_html__( '<em>Author:</em>', 'heartify' )
	),
    

    array(
		'label' => esc_html__( 'Related Posts', 'heartify' ),
        'desc' => esc_html__( 'Show related posts on single page.', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
		'id' => 'related_enable',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable related posts.', 'heartify' ),
        )
	),

    array(
		'label' => esc_html__( 'Related Posts Title', 'heartify' ),
        'desc' => esc_html__( 'Write the title.', 'heartify' ),
		'id' => 'related_title',
        'type' => 'text',
        'std' => esc_html__( 'Related Posts', 'heartify' )
	),

    array(
		'label' => esc_html__( 'Number Of Posts', 'heartify' ),
        'desc' => esc_html__( 'Set the number of related post.', 'heartify' ),
		'id' => 'related_number',
        'type' => 'range_slider',
        'max' => '20',
        'min' => '1',
        'std' => 3
	),

    array(
		'label' => esc_html__( 'Related Posts By', 'heartify' ),
        'desc' => esc_html__( 'Choose the tag or category to show related post.', 'heartify' ),
        'id' => 'related_by',
		'type' => 'select',
		'options' => array(
            'tags' => esc_html__( 'Tags', 'heartify' ),
            'category' => esc_html__( 'Category', 'heartify' )
        ),
		'std' => 'tags'
	),

    array(
		'label' => esc_html__( 'Excerpt Word Count', 'heartify' ),
        'desc' => esc_html__( 'Set the length of word for related post.', 'heartify' ),
		'id' => 'related_number_excerpt',
        'type' => 'range_slider',
        'max' => '80',
        'min' => '1',
        'std' => 10
	),
    
    array(
		'label' => esc_html__( 'Social Sharing', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
        'desc' => esc_html__( 'An <em>AddThis</em> widget for social sharing.', 'heartify' ),
		'id' => 'post_social_sharing',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable Social Sharing', 'heartify' ),
        )
	),

    array(
		'label' => esc_html__( 'Share Title', 'heartify' ),
		'id' => 'post_share_title',
        'type' => 'text',
        'std' => 'Share this post'
	)

); // End Blog Settings

$spyropress_theme_settings['portfolio'] = array(

    array(
        'label' => esc_html__( 'Portfolio Options', 'heartify' ),
        'type' => 'heading',
        'slug' => 'portfolio',
        'icon' => 'module-icon-post'
    ),
    
    
    array(
		'id' => 'portfolio-slug',
		'type' => 'text',
		'label' => esc_html__( 'Single item slug', 'heartify' ),
		'desc' => esc_html__('<b>Important:</b> Do not use characters not allowed in links. <br /><br />Must be different from the Portfolio site title chosen above, eg. "portfolio-item". After change please go to "Settings &raquo; Permalinks" and click [Save changes] button.', 'heartify' ),
		'std' => 'portfolio',
	),
    
    array(
		'label' => esc_html__( 'Single Sidebar Position', 'heartify' ),
        'id' => 'portfolio_single_sidebar_position',
        'desc' => esc_html__( 'Select widget sidebar postion for Portfolio single page .', 'heartify' ),
		'type' => 'select',
		'options' => array(
            'left' => esc_html__( 'Left Side', 'heartify' ),
            'right' => esc_html__( 'Right Side', 'heartify' )
        ),
		'std' => 'right'
	),
    
    array(
		'label' => esc_html__( 'Social Sharing', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
        'desc' => esc_html__( 'An <em>AddThis</em> widget for social sharing.', 'heartify' ),
		'id' => 'portfolio_social_sharing',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable Social Sharing', 'heartify' ),
        )
	),
    
    array(
		'label' => esc_html__( 'Author Box', 'heartify' ),
        'desc' => esc_html__( 'A box to display about author on single page.', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
        'desc' => esc_html__( 'A box to display about author.', 'heartify' ),
		'id' => 'portfolio_meta_authorbox',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable author box.', 'heartify' ),
        ),
        'std' => '1'
	),

    array(
		'label' => esc_html__( 'Related Work', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
		'id' => 'related_portfolio_enable',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable related work.', 'heartify' ),
        )
	),

    array(
		'label' => esc_html__( 'Related Title', 'heartify' ),
        'desc' => esc_html__( 'Write the title.', 'heartify' ),
		'id' => 'related_portfolio_title',
        'type' => 'text',
        'std' => 'Related Portfolios'
	),

    array(
		'label' => esc_html__( 'Number Of items', 'heartify' ),
        'desc' => esc_html__( 'Set the number of related post.', 'heartify' ),
		'id' => 'related_portfolio_number',
        'type' => 'range_slider',
        'max' => '20',
        'min' => '1',
        'std' => 3
	),

    array(
		'label' => esc_html__( 'Related Work By', 'heartify' ),
        'desc' => esc_html__( 'Choose the tag or category to show related portfolio.', 'heartify' ),
        'id' => 'related_portfolio_by',
		'type' => 'select',
		'options' => array(
            'portfolio_service' => esc_html__( 'Services', 'heartify' ),
            'portfolio_category' => esc_html__( 'Category', 'heartify' )
        ),
		'std' => 'portfolio_category'
	)

); // End Portfolio Settings

$spyropress_theme_settings['translate'] = array(

	array(
        'label' => esc_html__( 'Translate', 'heartify' ),
        'type' => 'heading',
        'slug' => 'translate',
        'icon' => 'module-icon-docs'
    ),

    array(
		'label' => esc_html__( 'General', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
        'desc' => esc_html__( 'Turn it off if you want to use .mo .po files for more complex translation.', 'heartify' ),
		'id' => 'translate',
        'type' => 'checkbox',
        'options' => array(
            1 => esc_html__( 'Enable Translate', 'heartify' ),
        ),
        'std' => '1'
	),

    array(
		'label' => esc_html__( 'Home', 'heartify' ),
        'desc' => esc_html__( 'Breadcrumb and Menu', 'heartify' ),
		'id' => 'translate-home',
        'type' => 'text',
        'std' => 'Home'
	),

    array(
		'label' => esc_html__( 'Menu', 'heartify' ),
        'desc' => esc_html__( 'Responsive Menu', 'heartify' ),
		'id' => 'nav-menu',
        'type' => 'text',
        'std' => 'Menu'
	),

    array(
		'label' => esc_html__( 'Search Placeholder', 'heartify' ),
        'desc' => esc_html__( 'Search widget', 'heartify' ),
		'id' => 'search-placeholder',
        'type' => 'text',
        'std' => 'Search..'
	),

    array(
		'label' => esc_html__( 'Search Button', 'heartify' ),
        'desc' => esc_html__( 'Search widget button', 'heartify' ),
		'id' => 'search-btn',
        'type' => 'text',
        'std' => 'Go'
	),

    array(
		'label' => esc_html__( 'Blog & Archives', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
		'id' => 'translate-comment',
		'type' => 'text',
		'label' => esc_html__('Comment', 'heartify'),
		'desc' => esc_html__('Text to display when there is one comment', 'heartify'),
		'std' => 'Comment'
	),

	array(
		'id' => 'translate-comments',
		'type' => 'text',
		'label' => esc_html__('Comments', 'heartify'),
		'desc' => esc_html__('Text to display when there are more than one comments', 'heartify'),
		'std' => 'Comments'
	),

	array(
		'id' => 'translate-comments-off',
		'type' => 'text',
		'label' => esc_html__('Comments closed', 'heartify'),
		'desc' => esc_html__('Text to display when comments are disabled', 'heartify'),
		'std' => 'Comments are closed.'
	),

     array(
		'id' => 'comment-reply',
		'type' => 'text',
		'label' => esc_html__('Reply', 'heartify'),
		'desc' => esc_html__('Text to display on comment Reply Button', 'heartify'),
		'std' => 'Reply'
	),

    array(
		'label' => esc_html__( 'Blog', 'heartify' ),
        'desc' => esc_html__( 'Blog', 'heartify' ),
		'id' => 'blog-title',
        'type' => 'text',
        'std' => '<span>Our</span> Blog'
	),

    array(
		'label' => esc_html__( 'Category', 'heartify' ),
        'desc' => esc_html__( 'Archive', 'heartify' ),
		'id' => 'cat-title',
        'type' => 'text',
        'std' => '<span>Category:</span> %s'
	),

    array(
		'label' => esc_html__( 'Tag', 'heartify' ),
        'desc' => esc_html__( 'Archive', 'heartify' ),
		'id' => 'tag-title',
        'type' => 'text',
        'std' => '<span>Tag:</span> %s'
	),

    array(
		'label' => esc_html__( 'Day', 'heartify' ),
        'desc' => esc_html__( 'Archive', 'heartify' ),
		'id' => 'day-title',
        'type' => 'text',
        'std' => '<span>Daily:</span> %s'
	),

    array(
		'label' => esc_html__( 'Month', 'heartify' ),
        'desc' => esc_html__( 'Archive', 'heartify' ),
		'id' => 'month-title',
        'type' => 'text',
        'std' => '<span>Monthly:</span> %s'
	),

    array(
		'label' => esc_html__( 'Year', 'heartify' ),
        'desc' => esc_html__( 'Archive', 'heartify' ),
		'id' => 'year-title',
        'type' => 'text',
        'std' => '<span>Yearly:</span> %s'
	),

    array(
		'label' => esc_html__( 'Archive', 'heartify' ),
        'desc' => esc_html__( 'Archive', 'heartify' ),
		'id' => 'archive-title',
        'type' => 'text',
        'std' => 'Archives'
	),

    array(
		'label' => esc_html__( 'Search', 'heartify' ),
        'desc' => esc_html__( 'Search result page', 'heartify' ),
		'id' => 'search-title',
        'type' => 'text',
        'std' => 'Search results: <span>%s</span>'
	),

    array(
		'label' => esc_html__( 'Error 404', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
		'label' => esc_html__( 'Title', 'heartify' ),
        'desc' => esc_html__( 'Ooops... Error 404', 'heartify' ),
		'id' => 'error-404-title',
        'type' => 'text',
        'std' => 'Ooops... Error 404'
	),

    array(
		'label' => esc_html__( 'Subtitle', 'heartify' ),
        'desc' => esc_html__( 'We are sorry, but the page you are looking for does not exist.', 'heartify' ),
		'id' => 'error-404-subtitle',
        'type' => 'text',
        'std' => 'We are sorry, but the page you are looking for does not exist.'
	),

    array(
		'label' => esc_html__( 'Text', 'heartify' ),
        'desc' => esc_html__( 'Please check entered address and try again or', 'heartify' ),
		'id' => 'error-404-text',
        'type' => 'text',
        'std' => 'Please check entered address and try again or'
	),

    array(
		'label' => esc_html__( 'Button', 'heartify' ),
        'desc' => esc_html__( 'Go To Homepage button', 'heartify' ),
		'id' => 'error-404-btn',
        'type' => 'text',
        'std' => 'go to homepage'
	),

);

$spyropress_theme_settings['plugins'] = array(

	array(
        'label' => esc_html__( 'Settings', 'heartify' ),
        'type' => 'heading',
        'slug' => 'plugins',
        'icon' => 'module-icon-general'
    ),

    array(
		'label' => esc_html__( 'Email Settings', 'heartify' ),
		'type' => 'sub_heading'
	),

    array(
		'label' => esc_html__( 'Sender Name', 'heartify' ),
        'desc' => esc_html__( 'For example sender name is "WordPress".', 'heartify' ),
		'id' => 'mail_from_name',
        'type' => 'text'
	),

    array(
		'label' => esc_html__( 'Sender Email Address', 'heartify' ),
        'desc' => esc_html__( 'For example sender email address is wordpress@yoursite.com.', 'heartify' ),
		'id' => 'mail_from_email',
        'type' => 'text'
	),

    array(
        'label' => esc_html__( 'Twitter oAuth Settings', 'heartify' ),
        'type' => 'sub_heading'
    ),

    array(
        'label' => esc_html__( 'Twitter Username', 'heartify' ),
        'id' => 'twitter_username',
        'type' => 'text'
    ),

    array(
        'label' => esc_html__( 'Consumer Key', 'heartify' ),
        'id' => 'twitter_consumer_key',
        'type' => 'text'
    ),

    array(
        'label' => esc_html__( 'Consumer Secret', 'heartify' ),
        'id' => 'twitter_consumer_secret',
        'type' => 'text'
    ),

    array(
        'label' => esc_html__( 'Access Token', 'heartify' ),
        'id' => 'twitter_access_token',
        'type' => 'text'
    ),

    array(
        'label' => esc_html__( 'Access Token Secret', 'heartify' ),
        'id' => 'twitter_access_token_secret',
        'type' => 'text'
    ),

    array(
		'label' => esc_html__( 'WP-Pagenavi', 'heartify' ),
		'type' => 'toggle'
	),

    array(
		'label' => esc_html__( 'Text For Number Of Pages', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_pages_text',
        'desc' =>   '%CURRENT_PAGE% - ' . esc_html__( 'The current page number.', 'heartify' ) .
                    '<br />%TOTAL_PAGES% - ' . esc_html__( 'The total number of pages.', 'heartify' ),
        'std' => esc_html__( 'Page %CURRENT_PAGE% of %TOTAL_PAGES%', 'heartify' ),
	),

    array(
		'label' => esc_html__( 'Text For Current Page', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_current_text',
        'desc' => '%PAGE_NUMBER% - '.esc_html__( 'The page number.', 'heartify' ),
        'std' => '%PAGE_NUMBER%'
	),

    array(
		'label' => esc_html__( 'Text For Page', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_page_text',
        'desc' => '%PAGE_NUMBER% - ' .esc_html__( 'The page number.', 'heartify' ),
        'std' => '%PAGE_NUMBER%'
	),

    array(
		'label' => esc_html__( 'Text For First Page', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_first_text',
        'desc' => '%TOTAL_PAGES% - ' .esc_html__( 'The total number of pages.', 'heartify' ),
        'std' => '&laquo; First'
	),

    array(
		'label' => esc_html__( 'Text For Last Page', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_last_text',
        'desc' => '%TOTAL_PAGES% - ' .esc_html__( 'The total number of pages.', 'heartify' ),
        'std' => 'Last &raquo;'
	),

    array(
		'label' => esc_html__( 'Text For Previous Page', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_prev_text',
        'std' => '&laquo;'
	),

    array(
		'label' => esc_html__( 'Text For Next Page', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_next_text',
        'std' => '&raquo;'
	),

    array(
		'label' => esc_html__( 'Text For Previous &hellip;', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_dotleft_text',
        'std' => '&hellip;'
	),

    array(
		'label' => esc_html__( 'Text For Next &hellip;', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_dotright_text',
        'std' => '&hellip;'
    ),

    array(
        'label' => esc_html__( 'Page Navigation Text', 'heartify' ),
        'type' => 'sub_heading',
        'desc' => esc_html__( 'Leaving a field blank will hide that part of the navigation.', 'heartify' ),
    ),

    array(
		'label' => esc_html__( 'Always Show Page Navigation', 'heartify' ),
		'type' => 'checkbox',
        'id' => 'pagination_always_show',
        'options' => array(
            1 => esc_html__( 'Show navigation even if there\'s only one page.', 'heartify' ),
        )
    ),

    array(
		'label' => esc_html__( 'Number Of Pages To Show', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_num_pages',
        'std' => 5
    ),

    array(
		'label' => esc_html__( 'Number Of Larger Page Numbers To Show', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_num_larger_page_numbers',
        'desc' => esc_html__( 'Larger page numbers are in addition to the normal page numbers. They are useful when there are many pages of posts.', 'heartify' ),
        'std' => 3
    ),

    array(
		'label' => esc_html__( 'Show Larger Page Numbers In Multiples Of', 'heartify' ),
		'type' => 'text',
        'id' => 'pagination_larger_page_numbers_multiple',
        'desc' => esc_html__( 'For example, if mutiple is 5, it will show: 5, 10, 15, 20, 25', 'heartify' ),
        'std' => 10
    ),

    array(
		'type' => 'toggle_end'
	),

); // END PLUGINS

$spyropress_theme_settings['separator'] = array(

	array ( 'type' => 'separator' )

); // END Separator

$spyropress_theme_settings['import'] = array(

	array (
        'label' => esc_html__( 'Import / Export', 'heartify' ),
        'type' => 'heading',
        'slug' => 'import-export',
        'icon' => 'module-icon-import'
    ),
    
    array(
        'type' => 'import_dummy'
	),

    array(
        'type' => 'import'
	),

    array(
        'type' => 'export'
	),
); // END Import/Export

$spyropress_theme_settings['support'] = array(

	array (
        'label' => esc_html__( 'Support', 'heartify' ),
        'type' => 'heading',
        'slug' => 'support',
        'icon' => 'module-icon-support'
    ),

    array(
		'id' => 'admin/docs-support.php',
        'type' => 'include'
	)

); // END Separator
?>