<?php
/**
 * ThemeSquard: Recent Posts
 * The most recent posts on your site
 *
 * @package		SpyroPress
 * @category	Widgets
 * @author		SpyroSol
 */

class Spyropress_Widget_Recent_Posts extends SpyropressWidget {

    /**
     * Constructor
     */

    function __construct() {

        // Widget variable settings.
        $this->cssclass = 'recent_posts';
        $this->description = esc_html__( 'The most recent posts on your site.', 'heartify' );
        $this->id_base = 'spyropress_recent_comments';
        $this->name = esc_html__( 'ThemeSquard: Recent Posts', 'heartify' );

        $this->fields = array(
           array(
               'label' => esc_html__( 'Title', 'heartify' ),
               'id' => 'title',
               'type' => 'text',
            ),

            array(
                'label' => esc_html__( 'Title', 'heartify' ),
                'id' => 'number',
                'type' => 'range_slider',               
                'max' => 50
            ),
            
            array(
                'label' => esc_html__('Date', 'heartify'),
                'id' => 'setting',
                'type' => 'checkbox',
                'options' => array(
                    'date' => esc_html__( 'Enable date for Recent Posts','heartify' ), 
                )
             )
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {
        
        // extracting info
        extract( $spyropress_args );extract( $spyropress_instance );

        // get view to render
        require( $this->get_view() );
    }
    
} 
// class SpyroPress_Widget_TabWidget
register_widget( 'Spyropress_Widget_Recent_Posts' );