<?php
/*
 *  Template Name: Landing Page
 */

get_header( 'landing' );
  spyropress_before_main_container();
    spyropress_before_loop();
    while( have_posts() ) {
        the_post();

        spyropress_before_post();
            //Get Page Meta Data
            $spyropress_meta_data = get_post_meta( get_the_ID(), '_page_options', true );
            $spyropress_bg_left = isset( $spyropress_meta_data['landing_right_bg'] )? 'style="height:1080px;background: url('. esc_url( $spyropress_meta_data['landing_left_bg'] ) .');"' : '';
            ?>
            <div class="landing-wrap">
            	<div class="col-md-6 landing-left" <?php echo $spyropress_bg_left; ?>>
            		<div class="col-md-10 col-md-offset-1">
                        <?php 
                            //Heading.
                            if( isset( $spyropress_meta_data['landing_heading'] ) ){
                                echo '<h4 class="title">'. esc_html( $spyropress_meta_data['landing_heading'] )  .'</h4>';
                            }
                            
                            //Sub Heading.
                            if( isset( $spyropress_meta_data['landing_sub_heading'] ) ){
                                echo '<h6>'. esc_html( $spyropress_meta_data['landing_sub_heading'] ) .'</h6>';
                            }
                        ?>
            			<div class="clearfix"></div>
           				<?php
                            
                            //Description. 
                            if( isset( $spyropress_meta_data['landing_description'] ) ){
                                echo '<p>';
                                //echo wp_kses( $spyropress_meta_data['landing_description'], array( 'br' => array(), 'p' => array() ) );      
                                echo esc_html( $spyropress_meta_data['landing_description'] );
                                echo '</p>';
                            }
                            
                            //Contact Form Seven Shortcode.
                            if( isset( $spyropress_meta_data['landing_form'] ) ){
                                echo do_shortcode( $spyropress_meta_data['landing_form'] );     
                            }
                           
                        ?>
            			<div class="copy"><?php echo get_setting('footer_copyright'); ?></div>
            		</div>
            	</div>
                <?php $spyropress_bg_right = isset( $spyropress_meta_data['landing_right_bg'] )? 'style="background:url('. esc_url( $spyropress_meta_data['landing_right_bg'] ). ') no-repeat top right;background-size:auto 100%; position:relative; overflow:hidden;height:1080px;"' : ''; ?>
            	<div class="col-md-6 landing-right" <?php echo $spyropress_bg_right; ?> >
            		<a class="back-to-home" href="<?php echo esc_url( home_url('/') );?>"><i class="fa fa-home"></i> <?php echo esc_html__( 'Back to home', 'heartify' ); ?></a>
            	</div>
            </div><div class="clearfix"></div>
            <?php

        spyropress_after_post();
    }
    spyropress_after_loop();
  spyropress_after_main_container();
get_footer( 'landing' );