<?php
/**
 * Single Portfolio Template.
 *
 * @package Heartify
 * @author ThemeSquared
 * @link http://themesquared.com/hertify/
 */


  get_header( 'blog' ); 
  
    spyropress_before_main_container();
    get_template_part( 'templates/blog-single', 'top' );//blog page header.
    $spyropress_position = get_setting( 'portfolio_single_sidebar_position', 'right' );//getting sidebar postion value.
?>
    <div class="blog-content">
        <div class="container">
            
            <?php if( 'left' == $spyropress_position ) { ?>
                <!-- sidebar postion left-->
                <?php if( is_active_sidebar( 'primary' ) ): ?>
                    <aside class="col-md-3">
                        <?php dynamic_sidebar( 'primary' ); ?>
                    </aside>
                <?php endif; ?>
            <?php } ?>
            
            <!-- Blog Content -->
            <div class="col-md-9">
                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <?php   
                    if ( have_posts() ): 
            
                        while( have_posts() ):
                            
                            the_post();
                            spyropress_before_post();
                            
                                //Meta date.
                                $spyropress_meta_data = get_post_meta( get_the_ID(), '_portfolio_details', true );
                                
                                //gallery 
                                if( isset($spyropress_meta_data['gallery']) && !empty ($spyropress_meta_data['gallery']) &&  $spyropress_meta_data['display'] == 'gallery' ) {
                                    $spyropress_ids = explode( ',', str_replace( array( '[gallery ids=', ']', '"' ), '', $spyropress_meta_data['gallery'] ) );
                                
                                    if ( !empty( $spyropress_ids ) ) {
                                        echo '<ul class="gallery-list">';
                                            foreach( $spyropress_ids as $spyropress_id ) {
                                               get_image( array( 'attachment' => $spyropress_id, 'class' => 'img-responsive', 'before' => '<li>', 'after' => '</li>'));
                                            }
                                        echo '</ul>';
                                    }

                                }elseif( isset($spyropress_meta_data['video']) && !empty ($spyropress_meta_data['video']) &&  $spyropress_meta_data['display'] == 'video' ) {
                                    
                                    echo str_replace( 'width="356"', 'width="100%"', wp_oembed_get( $spyropress_meta_data['video'], array( 'height' => '343' ) ) );   
                                
                                }elseif( has_post_thumbnail() ) {
                                    
                                    get_image( array( 'class' => 'img-responsive' ) );
                                
                                }
                                ?>
                                
                				<div class="bottom-space-30"></div>
                                <div class="clearfix"></div>
                                    <?php the_content(); //post content. ?>
                			    <div class="bottom-space-30"></div>
				                <div class="clearfix"></div>
                                
                                <?php
                                    //post tags
                                    the_tags( '<ul class="tags-list clearfix"><li>', '</li><li>', '</li></ul>' );
                                 
                                    if( get_setting( 'portfolio_meta_authorbox' ) ){
                                        spyropress_authorbox(); //get post author.
                                    }   
                                    get_template_part( 'templates/related', 'work' ); //get related post items.
                                   
                            spyropress_after_post();
                        
                        endwhile;
                        
                        //Single Navigation Link.
                        $spyropress_defaults = array(
                    		'before'           => '<div class="page-nav"><ul><li>',
                            'after'            => '</li></ul></div>',
                            'link_before'      => '',
                            'link_after'       => '',
                            'next_or_number'   => 'number',
                            'separator'        => '</li><li>',
                            'nextpagelink'     => esc_html__( '<i class="fa fa-caret-right"></i>', 'heartify' ),
                            'previouspagelink' => esc_html__( '<i class="fa fa-caret-left"></i>', 'heartify' ),
                            'pagelink'         => '%',
                            'echo'             => 1
                    	);
                        
                        wp_link_pages($spyropress_defaults);
                
                    else:
                        echo '<h5>'. esc_html__( 'Sorry, no posts matched your criteria.', 'heartify' ) .'</h5>';
                    endif;        
                ?>
                </article>
                <?php comments_template( '', true ); ?>
            </div>
            
            <?php if( 'right' == $spyropress_position ) { ?>
                <!-- sidebar postion right-->
                <?php if( is_active_sidebar( 'primary' ) ): ?>
	             <aside class="col-md-3">
	               <?php dynamic_sidebar( 'primary' ); ?>
	             </aside>
                 <?php endif; ?>
            <?php } ?>
            
        </div>
    </div>

<?php 
    spyropress_after_main_container(); 
 get_footer(); 