<?php 
    $spyropress_options = get_post_meta( get_the_ID(), '_page_options', true );
    $header_parallax = isset( $spyropress_options['header_parallax'] )? $spyropress_options['header_parallax'] : get_setting( 'header_parallax' );
    $spyropress_title = isset( $spyropress_options['title'] )? $spyropress_options['title'] : get_setting( 'title' );
    $spyropress_sub_title = isset( $spyropress_options['sub_title'] )? $spyropress_options['sub_title'] : get_setting( 'sub_title' );
    $spyropress_content = isset( $spyropress_options['content'] )? $spyropress_options['content'] : get_setting( 'content' );
    $spyropress_description = isset( $spyropress_options['description'] )? $spyropress_options['description'] : get_setting( 'description' );
    $header_parallax = !empty( $header_parallax )? '<img src="'. esc_url( $header_parallax ) .'" class="img-responsive" style="opacity:0;" alt="image not found">' : '';
?>
<section id="home">
     <div id="bg-slider-home" class="bg-slider-home bg-plx parallax-home" data-stellar-background-ratio="0.3" >
   	       <?php echo wp_kses( $header_parallax, array( 'img' => array( 'src' => array(), 'class' => array(), 'alt' => array(), 'style' => array() ) ) ); ?>
           <div class="main-slider-caption main-slider-image text-center">
    		<?php
                if( $spyropress_title  ){
                    echo '<h6 class="top-slogan">'. esc_html( $spyropress_title ) .'</h6>';
                }
                if( $spyropress_sub_title ){
                    echo '<h2>'. esc_html( $spyropress_sub_title ) .'</h2>';
                }
                if( $spyropress_content ){
                    echo '<p>'. esc_html( $spyropress_content ) .'</p>';
                }
                if( $spyropress_description ){
                    echo '<h6 class="price-slogan">'.  wp_kses( $spyropress_description, array( 'span' => array() ) ) .'</h6>';
                }
            ?>
    	</div>
    </div>
    <!--  Background Slider Main ENds -->
   	<?php 
        //Get page meta data.
        if( isset( $spyropress_options['onepage_menu'] ) || has_nav_menu( 'primary' ) ):    
    ?>
    <div class="container" style="position: absolute;top: 0px;left: 0px;right: 0px;">
    	<div class="row">
    		<div class="col-xs-12 col-sm-12 col-md-10 col-md-offset-1 col-lg-10 col-lg-offset-1">
                <?php spyropress_logo(array('tag'=> 'div' , 'container_class' => 'logo hidden-sm hidden-md hidden-lg' )); ?>
    			<!-- Top Header and Navigation -->
    			<div class="top-header hidden-xs">
                    <div class="top-navigation">
                       <?php
                            //Get Page Meta Data
                            if( isset( $spyropress_options['onepage_menu'] ) ):
                                $spyropress_menu = wp_nav_menu( array(
                                    'container' => false,
                                    'menu_class' => 'top-nav list-unstyled list-inline',
                                    'menu_id' => '',
                                    'menu' => $spyropress_options['onepage_menu'],
                                    'echo' => false,
                                    'walker' => new Bootstrapwp_Walker_Nav_Menu_Second
                                ) );
                            else:
                                $spyropress_args = array(
                                    'container' => false,	
                                    'menu_class' => 'top-nav list-unstyled list-inline',
                                    'menu_id' => '',
                                    'walker' => new Bootstrapwp_Walker_Nav_Menu_Second,
                                    'echo' => false,
                                );
                                
                                $spyropress_menu = spyropress_get_nav_menu( $spyropress_args  , 'primary' );
                            
                            endif;
                            
                            echo str_replace( '#HOME_URL#', '#', $spyropress_menu );
                        ?>
                    </div>
    				<!-- top navigation div -->
    			</div>
    			<!-- top header div -->
    		</div>
    		<!-- Column Count div -->
    	</div>
    </div>
    <?php endif; ?>
</section>
<!-- Home Section -->
<!-- Sticky & Main Header -->
<div class="main-header">
    <div class="container">
		<div class="row">
			<div class="col-xs-8 col-sm-4 col-md-4 col-lg-4 pull-left">
                <?php if( $spyropress_logo = get_setting( 'sec_logo' ) ): ?>
                    <div class="main-logo">
						<a href="<?php echo esc_url( home_url( '/' ) );?>"><img class="pull-left" src="<?php echo esc_url( $spyropress_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" /><span><?php echo esc_html( strtoupper( get_bloginfo( 'name' ) ) ); ?></span></a>
					</div>
                <?php endif;?>
			</div>
			<div class="col-xs-4 col-sm-8 col-md-8 col-lg-8">
				<div class="main-navigation hidden-xs">
                    <?php
                        if( isset( $spyropress_options['onepage_menu'] ) ):
                            $spyropress_menu = wp_nav_menu( array(
                                'container' => false,
                                'menu_class' => 'main-nav list-unstyled list-inline pull-right',
                                'menu_id' => '',
                                'menu' => $spyropress_options['onepage_menu'],
                                'echo' => false,
                                'walker' => new Bootstrapwp_Walker_Nav_Menu
                            ) );
                        else:
                            $spyropress_args = array(
                                'container' => false,	
                                'menu_class' => 'main-nav list-unstyled list-inline pull-right',
                                'menu_id' => '',
                                'echo' => false,
                                'walker' => new Bootstrapwp_Walker_Nav_Menu
                            );
                            
                            $spyropress_menu = spyropress_get_nav_menu( $spyropress_args  , 'primary' );
                        
                        endif;
        
                        $spyropress_url = ( is_front_page() ) ? '#' : esc_url( home_url('/#') );
                        echo str_replace( '#HOME_URL#', $spyropress_url, $spyropress_menu );
                    ?>
					
				</div>
				<!-- top navigation div -->
				<nav class="navbar navbar-default hidden-sm hidden-md hidden-lg" role="navigation">
					<div class="container-fluid">
						<!-- Brand and toggle get grouped for better mobile display -->
						<div class="navbar-header">
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-collapse-1">
							<span class="sr-only">Toggle navigation</span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							</button>
						</div>
						<!-- Collect the nav links, forms, and other content for toggling -->
						<div class="collapse navbar-collapse" id="navbar-collapse-1">
                            <?php
                                if( isset( $spyropress_options['onepage_menu'] ) ):
                                    $spyropress_menu = wp_nav_menu( array(
                                        'container' => false,
                                        'menu_class' => 'nav navbar-nav',
                                        'menu_id' => '',
                                        'menu' => $spyropress_options['onepage_menu'],
                                        'echo' => false,
                                        'walker' => new Bootstrapwp_Walker_Nav_Menu_Second
                                    ) );
                                else:
                                    $spyropress_args = array(
                                        'container' => false,	
                                        'menu_class' => 'nav navbar-navt',
                                        'menu_id' => '',
                                        'echo' => false,
                                        'walker' => new Bootstrapwp_Walker_Nav_Menu_Second
                                    );
                                    
                                    $spyropress_menu = spyropress_get_nav_menu( $spyropress_args  , 'primary' );
                                
                                endif;
                
                                $spyropress_url = ( is_front_page() ) ? '#' : esc_url( home_url('/#') );
                                echo str_replace( '#HOME_URL#', $spyropress_url, $spyropress_menu );
                            ?>
							
						</div>
					</div>
				</nav>
			</div>
		</div>
	</div>
</div>