<?php
if( !get_setting( 'related_enable', false ) ) return;

$spyropress_limit = get_setting( 'related_number', 4 );
$spyropress_related_by = get_setting( 'related_by' );

global $post;
$spyropress_args = array(
    'post__not_in'      => array( $post->ID ),
    'posts_per_page'    => $spyropress_limit,
    'ignore_sticky_posts'  => 1,
    'post_type'         => 'post'
);

// by tags
if( 'post_tags' == $spyropress_related_by ) {
    $spyropress_tags = wp_get_post_terms( $post->ID, 'post_tag' );
    if ( $spyropress_tags ) {
        $spyropress_tag_ids = array();
        foreach( $spyropress_tags as $spyropress_individual_tag )
            $spyropress_tag_ids[] = $spyropress_individual_tag->term_id;
        $spyropress_args['tax_query'] = array(
            array(
                'taxonomy' => 'post_tag',
                'field' => 'id',
                'terms' => $spyropress_tag_ids
            )
        );
    }
}
// by category
elseif( 'post_category' == $spyropress_related_by ) {
    $spyropress_categories = wp_get_post_terms( $post->ID, 'category' );
    if ( $spyropress_categories ) {
        $spyropress_category_ids = array();
        foreach( $spyropress_categories as $spyropress_individual_category )
            $spyropress_category_ids[] = $spyropress_individual_category->term_id;
        $spyropress_args['tax_query'] = array(
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $spyropress_category_ids
            )
        );
    }
}

$spyropress_my_query = new wp_query( $spyropress_args );

if( $spyropress_my_query->have_posts()) {
    
?>
<!-- Related Posts -->
<div class="related-posts">
	<h5><?php echo get_setting( 'related_title' ); ?></h5> 
    <div class="row">
		<ul>
            <?php
                while( $spyropress_my_query->have_posts() ) {
                    $spyropress_my_query->the_post();                            
            ?>
    			<li>
    				<?php  get_image( array( 'class' => 'img-responsive' ) );?>
    				<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                    <?php printf( '<span class="post-meta">'. esc_html__( 'Posted', 'heartify' ) .' %1$s at %2$s '. esc_html__( 'by', 'heartify' ) .' <a href="%3$s">%4$s</a></span>', get_the_date( 'd.m.Y' ), get_the_time( 'h:m' ), esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ,get_the_author() ); ?>
    				<?php echo spyropress_get_excerpt( array( 'length' => get_setting( 'related_number_excerpt' ), 'link_to_post' => '' ) );?>
    			</li>
			<?php }?>
        </ul>
	</div>
</div>
<?php    
}
wp_reset_postdata();		